Plateformes prises en charge

L’Agent Datadog est pris en charge sur un large éventail de systèmes d’exploitation et de plateformes couramment utilisés. Si votre système d’exploitation ne figure pas ci-dessous, envisagez de procéder à une installation depuis les sources.

X86 64 BITS

Système d'exploitationVersions du système d'exploitationVersions de l'Agent 5Versions de l'Agent 6Versions de l'Agent 7
Amazon Linux2
2022>= 6.40.0>= 7.40.0
2023>= 6.40.0>= 7.40.0
Debian (systemd)7.0 (wheezy)<= 6.35.2<= 7.35.2
>= 8.0 (jessie)
Debian (SysVinit)7.0 (wheezy)6.6.0 - 6.35.2<= 7.35.2
>= 8.0 (jessie)
Ubuntu12.04
>= 14.04
RedHat /
CentOS
5.0
>= 6.0
AlmaLinux /
Rocky
>= 8.0>= 6.33.0>= 7.33.0
SUSE Enterprise Linux (systemd)11 SP4<= 6.32.4<= 7.32.4
>= 12.0
SUSE Enterprise Linux (SysVinit)11 SP46.16.0 - 6.33.07.16.0 - 7.33.0
OpenSUSE (systemd)>= 15.0
Fedora>= 26

Une coche ( ) indique la prise en charge de toutes les versions mineures et de tous les patchs.

ARM V8 64 BITS

Système d'exploitationVersions du système d'exploitationVersions de l'Agent 6Versions de l'Agent 7
Amazon Linux2>= 6.16.0>= 7.16.0
2022>= 6.40.0>= 7.40.0
2023>= 6.40.0>= 7.40.0
Debian (systemd)>= 9.0 (stretch)>= 6.16.0>= 7.16.0
Ubuntu>= 16.04>= 6.16.0>= 7.16.0
RedHat /
CentOS
>= 8.0>= 6.16.0>= 7.16.0
AlmaLinux /
Rocky
>= 8.0>= 6.33.0>= 7.33.0
Fedora>= 27>= 6.16.0>= 7.16.0
Système d'exploitationVersions du système d'exploitationVersions de l'Agent 5Versions de l'Agent 6Versions de l'Agent 7Notes
Windows Server2008 R2<= 6.45.1<= 7.45.1Server 2008 R2 fait état d'un problème connu relatif à la dérive de l'horloge et à Go.
2012/R2<= 6.49.0<= 7.49.0
>= 2016
Windows7
8.1<= 6.49.0<= 7.49.0
>=10

Une coche ( ) indique la prise en charge de toutes les versions mineures et de tous les patchs.

Pour installer une version spécifique de l’Agent Windows, consultez la liste des programmes d’installation.

X86 64 BITS

Version de macOSAgent 5Agent 6Agent 7
10.10 à 10.11<= 5.11.3
10.12<= 6.34.0<= 7.34.0
10.13<= 6.38.2<= 7.38.2
>= 10.14>= 7.39.0

Apple ARM64

Version de macOSAgent 7
>= 11.0>= 7.39.0

Prise en charge de X86 64 BITS

AgentDockerKubernetesSystème d’exploitation Azure Stack HCI
5>= 1.141.3 à 1.8
6>= 1.14>= 1.3Toutes les versions
7>= 1.14>= 1.3Toutes les versions

Prise en charge d’ARM V8 64 BITS

L’Agent 6 et l’Agent 7 prennent en charge les plateformes ARM V8 64 BITS suivantes :

PlateformeVersions prises en chargePrise en charge d’ARM V8 64 BITSPrise en charge de X86 64 BITS
Docker>= 1.14
Kubernetes>= 1.3

L’Agent 6 et l’Agent 7 prennent en charge les versions AIX suivantes :

  • 6.1 TL9 SP6
  • 7.1 TL5 SP3
  • 7.2 TL3 SP0

Pour aller plus loin

Documentation, liens et articles supplémentaires utiles: